For the complete documentation index, see llms.txt. This page is also available as Markdown.

Templates

Retrieve all flow templates

get

This will only return Flow Templates that are either directly associated with the user, or that are associated with a tenant that the user is also a member of. Requires the 'flowTemplates.read' permissions.

Query parameters
page[size]integerOptional

Number of flow templates per page returned. Default is 10.

page[number]integerOptional

Number of the page to be returned. Default is 1.

filter[status]integerOptional

Filter results by flow status. Published = 1. Draft = 0

filter[user]stringOptional

Filter by user. Works for admin or users with same tenant.

sortstringOptional

Sort the result by one property. Supported: createdAt, updatedAt and name. Prefix field name with - for reversed sort order (DESC) i.e. sort=-updatedAt. Default sorting is by id ASC

searchstringOptional

Search flows by a word or a phrase contained in the template description OR in the template name (case-insensitive). Behavior is similar to operator LIKE in SQL but case insensitive.

tagsstringOptional

Returns templates that have any of the supplied tags. Pass as comma-separated values. Untagged templates are always returned.

Example: premium,dev
Responses
200

A list of flow templates.

application/json
get/templates
GET /templates HTTP/1.1
Accept: */*
200

A list of flow templates.

{
  "data": [
    {
      "name": "SnazzyToCodeComponent",
      "description": "This flow polls for persons and posts them on webhoo.site.",
      "graph": {
        "nodes": [
          [
            {
              "id": "step_1",
              "componentId": "string",
              "name": "snazzy adapter for oih",
              "function": "getPersonsPolling",
              "description": "New description in progress"
            },
            {
              "id": "step_2",
              "componentId": "string",
              "name": "code_component",
              "function": "execute",
              "description": "",
              "fields": {
                "code": "function* run() {console.log('Calling external URL');yield request.post({uri: 'http://webhook.site/debc8244-3ca0-4449-af2b-e346c4f57b85', body: msg.body, json: true});}"
              }
            }
          ]
        ],
        "edges": [
          {
            "id": "text",
            "config": {
              "condition": "text",
              "mapper": {}
            },
            "source": "step_1",
            "target": "step_2"
          }
        ]
      },
      "type": "ordinary",
      "cron": "* /2 * * * *",
      "owners": [
        {
          "id": "text",
          "type": "text"
        }
      ],
      "id": "text",
      "status": "draft",
      "tags": [
        "advanced",
        "premium"
      ],
      "createdAt": "2019-07-30T12:52:45.957Z",
      "updatedAt": "2019-07-30T12:52:45.957Z"
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 1,
    "total": 1,
    "totalPages": 1
  }
}

Find Flow Template by ID

get

Returns a single Flow Template by its ID, if the user is authorized to see it. This requires the 'flowTemplates.read' permission

Path parameters
idstring · stringRequired

ID of flow template to return

Responses
200

Returns the flow template

application/json
metaobjectOptional
get/templates/{id}
GET /templates/{id} HTTP/1.1
Accept: */*
{
  "data": {
    "name": "SnazzyToCodeComponent",
    "description": "This flow polls for persons and posts them on webhoo.site.",
    "graph": {
      "nodes": [
        [
          {
            "id": "step_1",
            "componentId": "string",
            "name": "snazzy adapter for oih",
            "function": "getPersonsPolling",
            "description": "New description in progress"
          },
          {
            "id": "step_2",
            "componentId": "string",
            "name": "code_component",
            "function": "execute",
            "description": "",
            "fields": {
              "code": "function* run() {console.log('Calling external URL');yield request.post({uri: 'http://webhook.site/debc8244-3ca0-4449-af2b-e346c4f57b85', body: msg.body, json: true});}"
            }
          }
        ]
      ],
      "edges": [
        {
          "id": "text",
          "config": {
            "condition": "text",
            "mapper": {}
          },
          "source": "step_1",
          "target": "step_2"
        }
      ]
    },
    "type": "ordinary",
    "cron": "* /2 * * * *",
    "owners": [
      {
        "id": "text",
        "type": "text"
      }
    ],
    "id": "text",
    "status": "draft",
    "tags": [
      "advanced",
      "premium"
    ],
    "createdAt": "2019-07-30T12:52:45.957Z",
    "updatedAt": "2019-07-30T12:52:45.957Z"
  },
  "meta": {}
}

Last updated